Xvesa(1)

NAME
Xvesa - VESA Bios Extensions tiny X server

SYNOPSIS
Xvesa [:display] [option...]

DESCRIPTION
Xvesa is a generic X server for Linux on the x86 platform. Xvesa doesn't know about any particular hardware, and sets the video mode by running the video BIOS in VM86 mode. Xvesa can use both standard VGA BIOS modes and any modes advertised by a VESA BIOS if available. Xvesa runs untrusted code with full privileges, and is therefore a fairly insecure X server. The Xvesa server should only be used in trusted environments.

OPTIONS
Besides the normal TinyX server's options (see TinyX(1)), Xvesa accepts the following command line switches:

-mode n
    specifies the VESA video mode to use. This option overrides any -screen options.

-listmodes
    list all supported video modes. If -force was specified before -listmodes, lists all the modes that your BIOS claims to support, even those that the Xvesa server won't be able to use.

-force
    disable some sanity checks and use the specified mode even if the BIOS claims not to support it.

-shadow
    use a shadow framebuffer even if it is not strictly necessary. This may dramatically improve performance on some hardware.

-nolinear
    don't use a linear framebuffer even if one is available. You don't want to use this option.

-swaprgb
    pass RGB values in the order that works on broken BIOSes. Use this if the colours are wrong in PseudoColor and 16 colour modes.

-map-holes
    use a contiguous (hole-less) memory map. This fixes a segmentation violation with some rare BIOSes that violate the VESA specification, but may cause slightly higher memory usage on systems that over-commit memory.

-verbose
    emit diagnostic messages during BIOS initialization and teardown.

KEYBOARD
Multiple key presses recognized directly by Xvesa are:

Ctrl+Alt+Backspace
    Immediately kill the server.

Ctrl+Alt+F1...F12
    Switch to virtual console 1 through 12.

SEE ALSO
X(__miscmansuffix__), Xserver(1), TinyX(1), xdm(1), xinit(1), XFree86(1).

AUTHORS
The VESA driver was written by Juliusz Chroboczek. Keith Packard added support for standard VGA BIOS modes and is especially proud of 320x200 16 colour mode.